Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl -X POST "https://app.cotool.ai/sources/:id/sync" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"
{ "source": { "id": "<string>", "name": "<string>", "displayName": "<string>", "description": "<string>", "apiType": "<string>", "isBuiltIn": true, "feedUrl": "<string>", "serverUrl": "<string>", "organizationId": "<string>", "createdBy": "<string>", "hasApiKey": true, "enabled": true, "sourceEnabled": true, "subscriptionEnabled": true, "scheduleCron": "<string>", "maxEntries": 123, "lastFetchedAt": "<string>", "lastStatus": "<string>", "lastError": "<string>", "itemCountLast24h": 123, "createdAt": "<string>", "updatedAt": "<string>", "syncJob": { "jobId": "<string>", "queuedAt": "<string>", "startedAt": "<string>", "finishedAt": "<string>", "updatedAt": "<string>", "attemptCount": 123, "error": "<string>" } }, "jobId": "<string>" }
Enqueues an immediate sync job for a custom intel source
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Bearer your_api_key_here
Successful response
Show child attributes
Was this page helpful?